## gdb 7.6

=== debian/changelog ===
gdb (7.6-4) UNRELEASED; urgency=low

  * d/rules: Exclude .git from gdb-source package.
  * d/control{,.in}: Bump ia64 B-D to libunwind8-dev for transition.
  * d/NEWS: Fix version number so lintian will shut up about it.
  * d/patches:
    - Remove no-longer-used patches:
      + 0000-tui-skip-registers-pr-tui-13073.patch: Old Backport
      + 0001-netbsd-init-match-property-field.patch: Old Backport
      + 0002-add-cpu-to-source-release.patch: Old Backport
      + m68k-thread-debugging.patch: Old Backport or Merged Upstream
      + gdbinit-ownership.patch: handled differently upstream
      + member-field-symtab.patch: the patched code disappeared
    - Drop patches for problems that have gone away:
      + dwarf2-cfi-warning.patch: I'm not seeing any spam without this.
      + linux-clear-thread-list.patch: #303736 is gone even without this.
    - Add/reformat metadata:
      + gdb-6.5-bz185337-resolve-tls-without-debuginfo-v2.patch
      + solve_PATH_MAX_issue.patch
      + linuxthreads_signal_handling.patch
  * d/control{,.in}: Reformat relationship fields.
  * d/rules:
    - Allow gdb-minimal to use expat.
    - Get hardening flags working.
    - Explicitly configure gdb64 --with-expat.
    - s/--with-libunwind/--with-libunwind-ia64/; the former is depracated.
    - Make gdb --version report exact package version much as
      gcc --version does.
  * Build gdbserver on arm64.
  * Avoid identical short or long descriptions between packages.
  * Remove stray "The" from short descriptions.

 -- Samuel Bronson <naesten@gmail.com>  Sun, 16 Jun 2013 20:05:35 -0400

gdb (7.6-3) unstable; urgency=low

  [ Héctor Orón Martínez ]
  * d/gbp.conf:
    - switch debian-branch to master
  * d/control{,.in}:
    - add replaces gdb-multiarch (<< 7.6-1). (Closes: #709232)
  * d/p/gdb-6.5-bz185337-resolve-tls-without-debuginfo-v2.patch:
    - fix refuses to print errno. (Closes: #581707)

  [ Svante Signell ]
  * d/p/solve_PATH_MAX_issue.patch: new patch fixes FTBFS on hurd.
    (Closes: #709508)

  [ Samuel Bronson ]
  * debian/rules: Don't abort test suite on "ulimit -c unlimited" failure;
    do abort building early on failure to invoke the test suite.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 24 May 2013 10:09:03 +0200

gdb (7.6-2) unstable; urgency=low

  * Fix truncated maintainer field. (Closes: #709118)
  * d/control{,.in}: link 64-bit arch against expat.

 -- Hector Oron <zumbi@debian.org>  Tue, 21 May 2013 12:58:01 +0200

gdb (7.6-1) unstable; urgency=low

  * Imported Upstream version 7.6
  * New upstream features:
    - GDB 7.6 brings new targets, features and improvements, including:
      * New native configurations:
        ARM AArch64 GNU/Linux           aarch64*-*-linux-gnu
        FreeBSD/powerpc                 powerpc*-*-freebsd
        x86_64/Cygwin                   x86_64-*-cygwin*
        Tilera TILE-Gx GNU/Linux        tilegx*-*-linux-gnu
      * New target configurations:
        ARM AArch64                     aarch64*-*-elf
        ARM AArch64 GNU/Linux           aarch64*-*-linux
        Lynx 178 PowerPC                powerpc-*-lynx*178
        x86_64/Cygwin                   x86_64-*-cygwin*
        Tilera TILE-Gx GNU/Linux        tilegx*-*-linux
      * New configure options: -enable-libmcheck/--disable-libmcheck
      * Support for the "mini debuginfo" section, .gnu_debugdata
      * The C++ ABI now defaults to the GNU v3 ABI.  This has been the
        default for GCC since November 2000.
      * New command line option: -nh (disables auto-loading of ~/.gdbinit)
      * Various GDB/MI changes
      * Python scripting:
        ** Vectors can be created with gdb.Type.vector.
        ** Python's atexit.register now works in GDB.
        ** Types can be pretty-printed via a Python API.
        ** Python 3 is now supported (in addition to Python 2.4 or later)
        ** New class gdb.Architecture exposes GDB's internal representation
           of architecture in the Python API.
        ** New method Frame.architecture returns the gdb.Architecture object
           corresponding to the frame's architecture.
        ** New Python-based convenience functions ($_memeq, $_streq,
           $_strlen and $_regex)
      * The 'cd' command now defaults to using '~' (the home directory) if
        not given an argument.
      * New commands:
        ** catch signal
        ** maint info bfds
        ** python-interactive
        ** enable/disable type-printer
      * New remote packets (QTBuffer:size, Qbtrace:bts, Qbtrace:off and
        qXfer:btrace:read)
      * New options:
        ** set/show print type methods (on|off)
        ** set/show print type typedefs (on|off)
        ** set/show filename-display basename|relative|absolute
        ** set/show trace-buffer-size
        ** set/show remote trace-buffer-size-packet auto|on|off
        ** set/show debug aarch64
        ** set/show debug coff-pe-read
        ** set/show debug mach-o
        ** set/show debug notification
      * target record:
        The "target record" command has been renamed to "target record-full",
        and a new "target record-btrace" has been added.  This new target
        uses hardward support to record the control-flow of a process.
        Execution replay is not supported, but this targets allows investigating
        the program's recorded execution.
  * d/control{,.in}: bump standards version

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 19 May 2013 00:14:02 +0200

gdb (7.5.1-1) experimental; urgency=low

  * New upstream release (Closes: #685388).
  * New upstream features:
    [7.5]
    - Go language support.
    - New targets (x32 ABI, microMIPS, Renesas RL78, HP OpenVMS ia64).
    - More Python scripting improvements.
    - SDT (Static Defined Tracing) probes support with SystemTap probes.
    - GDBserver improvements (stdio connections, target-side evaluation
      of breakpoint conditions, remote protocol improvements).

