## gdb 7.6.1

=== debian/changelog ===
gdb (7.6.1-0ubuntu3) saucy; urgency=low

  * debian/patches/aarch64-fork-fix.patch: Fix fork handling on aarch64.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Oct 2013 17:53:18 +1100

gdb (7.6.1-0ubuntu2) saucy; urgency=low

  * Skip the testsuite on aarch64 to avoid hanging our buildd kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Oct 2013 00:02:05 -0600

gdb (7.6.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix-only release, fixing the following upstream bugs:
    - PR tdep/15420 (Cannot debug threaded programs on newer versions of
      x86-solaris - Solaris 10, Update 10 or later)
    - PR remote/15455 (QTro remote packet broken)
    - PR build/15476 (Build failure due to incomplete enum type in utils.h)
    - PR server/15594 (tls support in 64x32 x86 gdbserver doesn't extend
      address to 64 bit)
    - PR server/15075 (dprintf inteferes with "next")
    - PR server/15434 (dprintf uses a synchronous 'continue' even in
      non-stop mode)
    - PR tui/14880 (In split register layouts, up results in assertion
      failure in value.c)
    - PR c++/15519 (GDB 7.6 is 94x slower than GDB 7.5.1 using a certain
      core file)
    - PR gdb/15837 (GDB prints entry values for local variables)
    - PR gdb/15415 (gdb resolves symbolic links when passing argv[0])
    - PR cli/15603 (CTRL-C can no longer interrupt inferior)
    - PR gdb/15604 (gdbserver socket leak 7.5 regression)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Oct 2013 00:19:04 -0600

gdb (7.6-5ubuntu4) saucy; urgency=low

  * Don't build-depend on gobjc on arm64, not yet built.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2013 18:31:43 +0200

gdb (7.6-5ubuntu3) saucy; urgency=low

  * debian/rules: Revert configuring with "MULTIARCH_TARGET=all" and go back
    to static list of targets. "all" is broken and does not work at least on
    ARM. (LP: #1233185)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Sep 2013 17:54:20 +0200

gdb (7.6-5ubuntu2) saucy; urgency=low

  * Re-apply changes dropped in last merge:
    - gdb suggest gdbserver, instead of depending on it.
    - gdb depends on libpython3-stdlib.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2013 09:24:29 +0200

gdb (7.6-5ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Add Multi-arch: allowed field to gdb.
    - gdb-strings.patch: Fix typo in gdb/remote.c.
    - ptrace-error-verbosity.patch: Try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
  * Build using python3, recommend python3.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 28 Jul 2013 10:55:50 +0200

gdb (7.6-5) unstable; urgency=low

  [ Samuel Bronson ]
  * d/control{,.in}: revert to B-D on libunwind7-dev [ia64].

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 06 Jul 2013 12:17:24 +0200

gdb (7.6-4) unstable; urgency=low

  [ Samuel Bronson ]
  * d/rules: Exclude .git from gdb-source package.
  * d/control{,.in}: Bump ia64 B-D to libunwind8-dev for transition.
  * d/NEWS: Fix version number so lintian will shut up about it.
  * d/patches:
    - Remove no-longer-used patches:
      + 0000-tui-skip-registers-pr-tui-13073.patch: Old Backport
      + 0001-netbsd-init-match-property-field.patch: Old Backport
      + 0002-add-cpu-to-source-release.patch: Old Backport
      + m68k-thread-debugging.patch: Old Backport or Merged Upstream
      + gdbinit-ownership.patch: handled differently upstream
      + member-field-symtab.patch: the patched code disappeared
    - Drop patches for problems that have gone away:
      + dwarf2-cfi-warning.patch: I'm not seeing any spam without this.
      + linux-clear-thread-list.patch: #303736 is gone even without this.
    - Add/reformat metadata:
      + gdb-6.5-bz185337-resolve-tls-without-debuginfo-v2.patch
      + solve_PATH_MAX_issue.patch
      + linuxthreads_signal_handling.patch
  * d/control{,.in}: Reformat relationship fields.
  * d/rules:
    - Allow gdb-minimal to use expat.
    - Get hardening flags working.
    - Explicitly configure gdb64 --with-expat.
    - s/--with-libunwind/--with-libunwind-ia64/; the former is depracated.
    - Make gdb --version report exact package version much as
      gcc --version does.
  * Build gdbserver on arm64.
  * Avoid identical short or long descriptions between packages.
  * Remove stray "The" from short descriptions.

  [ Hector Oron ]
  * d/p/upstream-print_insn_rl78-workaround.patch
    + Fix "FTBFS: gdb compile failed" (Closes: #713735)

 -- Hector Oron <zumbi@debian.org>  Wed, 26 Jun 2013 02:59:24 +0200
