=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdb
-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
 Section: devel
 Priority: optional
@@ -20,7 +21,7 @@
                procps,
                g++-multilib [i386 powerpc s390 sparc],
                gcj-jdk | gcj,
-               gobjc,
+               gobjc [!arm64],
                mig [hurd-any],
 # TeX[info] deps
                texinfo (>= 4.7-2.2),
@@ -32,20 +33,21 @@
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev,
-               python-dev,
+               libpython3-dev,
                libkvm-dev [kfreebsd-any],
-               libunwind8-dev [ia64],
+               libunwind7-dev [ia64],
 Vcs-Git: git://anonscm.debian.org/crosstoolchain/gdb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=crosstoolchain/gdb.git
 Homepage: http://www.gnu.org/s/gdb/
 
 Package: gdb
 Architecture: any
-Depends: gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x x32],
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libc-dbg
-Suggests: gdb-doc
+Multi-Arch: allowed
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libpython3-stdlib
+Recommends: libc-dbg, python3
+Suggests: gdb-doc, gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x x32]
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
