=== debian/rules ===
--- 
+++ 
@@ -101,6 +101,10 @@
   run_tests := no
 endif
 
+ifeq ($(DEB_HOST_GNU_CPU),aarch64)
+  run_tests := no
+endif
+
 ifeq ($(DEB_HOST_GNU_CPU),ia64)
   arch_config_args := --with-libunwind-ia64
 endif
@@ -128,7 +132,7 @@
 # Debian does not include 64-bit Python packages, so --with-python
 # is here rather than in EXTRA_FLAGS.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--enable-tui --with-python
+	--enable-tui --with-python=python3
 
 # 64-bit flags
 DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
@@ -137,38 +141,41 @@
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
 # <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
-#MULTIARCH_TARGETS := \
-#	alpha-linux-gnu \
-#	arm-linux-gnu \
-#	arm-linux-gnueabi \
-#	arm-linux-gnueabihf \
-#	hppa-linux-gnu \
-#	i686-linux-gnu \
-#	ia64-linux-gnu \
-#	m68k-linux-gnu \
-#	m68k-rtems \
-#	mips-linux-gnu \
-#	mipsel-linux-gnu \
-#	mips64-linux-gnu \
-#	mips64el-linux-gnu \
-#	powerpc-linux-gnu \
-#	powerpcspe-linux-gnu \
-#	ppc64-linux-gnu \
-#	s390-linux-gnu \
-#	s390x-linux-gnu \
-#	sh-linux-gnu \
-#	sh64-linux-gnu \
-#	sparc-linux-gnu \
-#	sparc64-linux-gnu \
-#	x86_64-linux-gnu \
-#	m32r-linux-gnu \
-#	spu
-#	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"`
-MULTIARCH_TARGETS := all
+MULTIARCH_TARGETS := \
+	alpha-linux-gnu \
+	aarch64-linux-gnu \
+	arm-linux-gnu \
+	arm-linux-gnueabi \
+	arm-linux-gnueabihf \
+	hppa-linux-gnu \
+	i686-linux-gnu \
+	ia64-linux-gnu \
+	m68k-linux-gnu \
+	m68k-rtems \
+	mips-linux-gnu \
+	mipsel-linux-gnu \
+	mips64-linux-gnu \
+	mips64el-linux-gnu \
+	powerpc-linux-gnu \
+	ppc64-linux-gnu \
+	s390-linux-gnu \
+	s390x-linux-gnu \
+	sh-linux-gnu \
+	sh64-linux-gnu \
+	sparc-linux-gnu \
+	sparc64-linux-gnu \
+	x86_64-linux-gnu \
+	m32r-linux-gnu \
+	spu
+
+# broken, see https://launchpad.net/bugs/1233185
+#MULTIARCH_TARGETS := all
+#	--enable-targets=$(MULTIARCH_TARGETS) \
 # multiarch flags
 DEB_CONFIGURE_FLAGS_MULTIARCH := $(DEB_CONFIGURE_EXTRA_FLAGS) \
 	--enable-64-bit-bfd \
-	--enable-targets=$(MULTIARCH_TARGETS) \
+	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"` \
+	--disable-werror \
 	--disable-sim
 
 # Minimal flags
@@ -182,7 +189,7 @@
 endif
 
 DEB_MAKE_BUILD_TARGET = $(NJOBS) all
-distribution := $(shell lsb_release -is)
+distribution := $(shell lsb_release -is | tr A-Z a-z)
 
 BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
 BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal
@@ -190,7 +197,7 @@
 post-patches::
 	if ! test -f gdb/version.in.backup; then \
 	  mv -f gdb/version.in gdb/version.in.backup; \
-	  sed -e 's/$$/ ($(distribution) $(DEB_VERSION))/' < gdb/version.in.backup > gdb/version.in; \
+	  sed -e 's/$$/-$(distribution)/' < gdb/version.in.backup > gdb/version.in; \
 	fi
 
 # This should probably be common-post-build-arch, but that runs during
@@ -259,6 +266,3 @@
 		debian/gdb$(TS)/usr/share/doc/gdb/check.log
 endif
 
-ifneq ($(DEB_CROSS),yes)
-	# Gcore is only useful for native GDB.
-	$(INSTALL) -m 755 -o root -g root \
