## gdb 7.6.2

=== debian/changelog ===
gdb (7.6.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using python3. Closes: #727003.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2014 15:56:03 +0200

gdb (7.6.2-1) unstable; urgency=low

  * Imported upstream version 7.6.2
    - GDB 7.6.2 provides the following fixes and improvements to GDB 7.6.1:
      * PR breakpoint/16251 (AArch64 hardware breakpoint error after fork)
      * PR gdb/16303 (GDB 7.6.1 does not work with binutils 2.24 on MIPS16
        and microMIPS)
  * d/rules: Revert configuring with "MULTIARCH_TARGET=all" and go back
    to static list of targets. "all" is broken and does not work at least on
    ARM. (LP: #1233185). Thanks Martin Pitt for report.
    (Closes: #725078)
  * d/rules: Add aarch64-linux-gnu to multiarch target list.

 -- Hector Oron <zumbi@debian.org>  Sat, 18 Jan 2014 14:28:01 +0100

gdb (7.6.1-1) unstable; urgency=low

  [ Samuel Bronson ]
  * Imported Upstream version 7.6.1
    - GDB 7.6.1 provides the following fixes and improvements to GDB 7.6:
      * PR tdep/15420 (Cannot debug threaded programs on newer versions
        of x86-solaris - Solaris 10, Update 10 or later)
      * PR remote/15455 (QTro remote packet broken)
      * PR build/15476 (Build failure due to incomplete enum type in utils.h)
      * PR server/15594 (tls support in 64x32 x86 gdbserver doesn't extend
        address to 64 bit)
      * PR server/15075 (dprintf inteferes with "next")
      * PR server/15434 (dprintf uses a synchronous 'continue' even in
        non-stop mode)
      * PR tui/14880 (in split register layouts, up results in assertion
        failure in value.c)
      * PR c++/15519 (GDB 7.6 is 94x slower than GDB 7.5.1 using a certain
        core file)
      * PR gdb/15837 (GDB prints entry values for local variables)
      * PR gdb/15415 (gdb resolves symbolic links when passing argv[0])
      * PR cli/15603 (CTRL-C can no longer interrupt inferior)
      * PR gdb/15604 (gdbserver socket leak 7.5 regression)
  * Backport ARM Linux `catch syscall' support from my upstream
    patch. (Closes: #709937)
  
 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 08 Oct 2013 17:23:45 +0000
