=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gdb
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
 Section: devel
 Priority: optional
@@ -21,7 +20,7 @@
                procps,
                g++-multilib [i386 powerpc s390 sparc],
                gcj-jdk | gcj,
-               gobjc [!arm64],
+               gobjc,
                mig [hurd-any],
 # TeX[info] deps
                texinfo (>= 4.7-2.2),
@@ -33,7 +32,7 @@
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev,
-               libpython3-dev,
+               python3-dev,
                libkvm-dev [kfreebsd-any],
                libunwind7-dev [ia64],
 Vcs-Git: git://anonscm.debian.org/crosstoolchain/gdb.git
@@ -42,12 +41,11 @@
 
 Package: gdb
 Architecture: any
-Multi-Arch: allowed
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libpython3-stdlib
-Recommends: libc-dbg, python3
-Suggests: gdb-doc, gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x x32]
+Depends: gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x x32],
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libc-dbg
+Suggests: gdb-doc
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
