=== debian/rules ===
--- 
+++ 
@@ -101,10 +101,6 @@
   run_tests := no
 endif
 
-ifeq ($(DEB_HOST_GNU_CPU),aarch64)
-  run_tests := no
-endif
-
 ifeq ($(DEB_HOST_GNU_CPU),ia64)
   arch_config_args := --with-libunwind-ia64
 endif
@@ -142,8 +138,8 @@
 # doesn't seem like a terribly nice list; see
 # <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
 MULTIARCH_TARGETS := \
+	aarch64-linux-gnu \
 	alpha-linux-gnu \
-	aarch64-linux-gnu \
 	arm-linux-gnu \
 	arm-linux-gnueabi \
 	arm-linux-gnueabihf \
@@ -157,6 +153,7 @@
 	mips64-linux-gnu \
 	mips64el-linux-gnu \
 	powerpc-linux-gnu \
+	powerpc-linux-gnuspe \
 	ppc64-linux-gnu \
 	s390-linux-gnu \
 	s390x-linux-gnu \
@@ -175,7 +172,6 @@
 DEB_CONFIGURE_FLAGS_MULTIARCH := $(DEB_CONFIGURE_EXTRA_FLAGS) \
 	--enable-64-bit-bfd \
 	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"` \
-	--disable-werror \
 	--disable-sim
 
 # Minimal flags
@@ -189,7 +185,7 @@
 endif
 
 DEB_MAKE_BUILD_TARGET = $(NJOBS) all
-distribution := $(shell lsb_release -is | tr A-Z a-z)
+distribution := $(shell lsb_release -is)
 
 BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
 BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal
@@ -197,7 +193,7 @@
 post-patches::
 	if ! test -f gdb/version.in.backup; then \
 	  mv -f gdb/version.in gdb/version.in.backup; \
-	  sed -e 's/$$/-$(distribution)/' < gdb/version.in.backup > gdb/version.in; \
+	  sed -e 's/$$/ ($(distribution) $(DEB_VERSION))/' < gdb/version.in.backup > gdb/version.in; \
 	fi
 
 # This should probably be common-post-build-arch, but that runs during
@@ -266,3 +262,4 @@
 		debian/gdb$(TS)/usr/share/doc/gdb/check.log
 endif
 
+ifneq ($(DEB_CROSS),yes)
