## gdb 7.7

=== debian/changelog ===
gdb (7.7-0ubuntu3) trusty; urgency=medium

  * Rebuild with Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 11:41:03 +0100

gdb (7.7-0ubuntu2) trusty; urgency=medium

  * Don't encode the distribution name into the version string.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2014 20:23:43 +0100

gdb (7.7-0ubuntu1) trusty; urgency=medium

  * GDB 7.7 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Feb 2014 18:59:59 +0100

gdb (7.6.50.20140106-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 11:01:33 +0100

gdb (7.6.50.20131218-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
  * Configure with --disable-werror.
  * Handle Debian's local elf.h / sys/auxv.h header reorganization.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 13:50:41 +0100

gdb (7.6.50.20131214-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2013 12:31:29 +0100
