=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdb
-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
 Section: devel
 Priority: optional
@@ -32,7 +33,7 @@
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev,
-               python3-dev,
+               libpython3-dev,
                libkvm-dev [kfreebsd-any],
                libunwind7-dev [ia64],
 Vcs-Git: git://anonscm.debian.org/crosstoolchain/gdb.git
@@ -41,11 +42,12 @@
 
 Package: gdb
 Architecture: any
-Depends: gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x x32],
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libc-dbg
-Suggests: gdb-doc
+Multi-Arch: allowed
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libpython3-stdlib
+Recommends: libc-dbg, python3
+Suggests: gdb-doc, gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
@@ -95,7 +97,7 @@
  target architectures.
 
 Package: gdbserver
-Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x x32
+Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: gdb (<< 7.0.1-1)
 Description: GNU Debugger (remote server)
