=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,9 @@
 endif
 endif
 
+distribution := $(shell lsb_release -is)
+deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+
 BUILDDIRMULTIARCH = $(ALL_BUILDDIR)/objdir-multiarch
 
 run_tests := yes
@@ -122,6 +125,8 @@
 # We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
 # causes a harmless, but ugly, testsuite failure in maint.exp.
 EXTRA_FLAGS := --disable-gdbtk --disable-shared \
+	--disable-werror \
+	--with-pkgversion='$(distribution) $(deb_version)' \
 	--srcdir=$(shell pwd) --with-system-readline --with-expat \
 	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
@@ -137,41 +142,39 @@
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
 # <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
-MULTIARCH_TARGETS := \
-	aarch64-linux-gnu \
-	alpha-linux-gnu \
-	arm-linux-gnu \
-	arm-linux-gnueabi \
-	arm-linux-gnueabihf \
-	hppa-linux-gnu \
-	i686-linux-gnu \
-	ia64-linux-gnu \
-	m68k-linux-gnu \
-	m68k-rtems \
-	mips-linux-gnu \
-	mipsel-linux-gnu \
-	mips64-linux-gnu \
-	mips64el-linux-gnu \
-	powerpc-linux-gnu \
-	powerpc-linux-gnuspe \
-	ppc64-linux-gnu \
-	s390-linux-gnu \
-	s390x-linux-gnu \
-	sh-linux-gnu \
-	sh64-linux-gnu \
-	sparc-linux-gnu \
-	sparc64-linux-gnu \
-	x86_64-linux-gnu \
-	m32r-linux-gnu \
-	spu
-
-# broken, see https://launchpad.net/bugs/1233185
-#MULTIARCH_TARGETS := all
-#	--enable-targets=$(MULTIARCH_TARGETS) \
+#MULTIARCH_TARGETS := \
+#	alpha-linux-gnu \
+#	arm-linux-gnu \
+#	arm-linux-gnueabi \
+#	arm-linux-gnueabihf \
+#	hppa-linux-gnu \
+#	i686-linux-gnu \
+#	ia64-linux-gnu \
+#	m68k-linux-gnu \
+#	m68k-rtems \
+#	mips-linux-gnu \
+#	mipsel-linux-gnu \
+#	mips64-linux-gnu \
+#	mips64el-linux-gnu \
+#	powerpc-linux-gnu \
+#	powerpcspe-linux-gnu \
+#	ppc64-linux-gnu \
+#	s390-linux-gnu \
+#	s390x-linux-gnu \
+#	sh-linux-gnu \
+#	sh64-linux-gnu \
+#	sparc-linux-gnu \
+#	sparc64-linux-gnu \
+#	x86_64-linux-gnu \
+#	m32r-linux-gnu \
+#	spu
+#	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"`
+MULTIARCH_TARGETS := all
 # multiarch flags
 DEB_CONFIGURE_FLAGS_MULTIARCH := $(DEB_CONFIGURE_EXTRA_FLAGS) \
 	--enable-64-bit-bfd \
-	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"` \
+	--enable-targets=$(MULTIARCH_TARGETS) \
+	--disable-werror \
 	--disable-sim
 
 # Minimal flags
@@ -185,16 +188,9 @@
 endif
 
 DEB_MAKE_BUILD_TARGET = $(NJOBS) all
-distribution := $(shell lsb_release -is)
 
 BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
 BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal
-
-post-patches::
-	if ! test -f gdb/version.in.backup; then \
-	  mv -f gdb/version.in gdb/version.in.backup; \
-	  sed -e 's/$$/ ($(distribution) $(DEB_VERSION))/' < gdb/version.in.backup > gdb/version.in; \
-	fi
 
 # This should probably be common-post-build-arch, but that runs during
 # install, under fakeroot, in CDBS 0.4.21.
@@ -228,7 +224,7 @@
 
 check-stamp:
 ifeq ($(run_tests),yes)
-	ulimit -c unlimited || true; \
+	-ulimit -c unlimited || true; \
 	  $(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check
 endif
 	touch $@
@@ -263,3 +259,5 @@
 endif
 
 ifneq ($(DEB_CROSS),yes)
+	# Gcore is only useful for native GDB.
+	$(INSTALL) -m 755 -o root -g root \
